<?xml version="1.0" encoding="utf-8"?>

<collectorhub>
  <name>BBoxCollector</name>
  <product>phone</product>
  <platform>qcom</platform>
  <dynamicPaths>$SUB_LOG_DIR/last_kmsg,$SUB_LOG_DIR/xbl_abl,$SUB_LOG_DIR/tz_log,$SUB_LOG_DIR/last_xbl_abl,$SUB_LOG_DIR/rainbow_info</dynamicPaths>
  <dynamicPathsBeta>$SUB_LOG_DIR/rawdump.bin</dynamicPathsBeta>
  <dynamicPathsCommercial>None</dynamicPathsCommercial>
  <collectors>
    <collector>
      <name>PanicCollector</name>
      <eventID>901000002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>PANIC,unknown_addr,undefine_cmd,bad_mode,rw_only,read_unreadable,null_pointer,page_request,SEA,unhandle_fault,SP_PC_AE,spinlock_debug,bug,bug_unavail,out_of_memory,deadlocked_mem,kill_fore_task,combin_key,modem_crash,adsp_crash,wcnss_crash,venus_crash,unknown_reason,sysrq_crash</matchKeys>
      <intTimeType>0300</intTimeType>
    </collector>
    <collector>
      <name>HardwareWatchdogCollector</name>
      <eventID>901000003</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HWWATCHDOG,wdog_bite,wdog_bark</matchKeys>
      <intTimeType>0400</intTimeType>
    </collector>
    <collector>
      <name>UnknownFaultCollector</name>
      <eventID>901000004</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>UNKNOWN,W_PS_HOLD</matchKeys>
      <intTimeType>0500</intTimeType>
    </collector>
    <collector>
      <name>HardwareFaultCollector</name>
      <eventID>901000005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HARDWARE_FAULT</matchKeys>
      <intTimeType>0600</intTimeType>
    </collector>
    <collector>
      <name>BootloaderCrashCollector</name>
      <eventID>901000006</eventID>
      <dynamicPaths>$AP_LOG_DIR/fastboot_log</dynamicPaths>
      <matchKeys>BOOTLOADER_CRASH</matchKeys>
    </collector>
    <collector>
      <name>TrustzoneRebootsysCollector</name>
      <eventID>901000008</eventID>
      <dynamicPaths>none</dynamicPaths>
      <matchKeys>TRUSTZONE_REBOOTSYS</matchKeys>
      <intTimeType>0D00</intTimeType>
    </collector>
    <collector>
      <name>LongPressCollector</name>
      <eventID>901000010</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>PRESS6S,PRESS10S</matchKeys>
    </collector>
    <collector>
      <name>ModemCrashCollector</name>
      <eventID>901002000</eventID>
      <dynamicPaths>$SUB_LOG_DIR/remoteproc-mss.elf,$SUB_LOG_DIR/ramdump_modem.elf,$SUB_LOG_DIR/ramdump_memshare_DIAG.elf,$SUB_LOG_DIR/ramdump_microdump_modem.bin</dynamicPaths>
      <dynamicPathsCommercial>none</dynamicPathsCommercial>
      <dynamicPathsBeta>none</dynamicPathsBeta>
      <matchKeys>MODEMCRASH,MODEM_CRASH</matchKeys>
      <intTimeType>0A00</intTimeType>
    </collector>
    <collector>
      <name>SensorhubCrashCollector</name>
      <eventID>901002002</eventID>
      <dynamicPaths>$SUB_LOG_DIR/remoteproc-slpi.elf,$SUB_LOG_DIR/remoteproc-slpi.bin,$SUB_LOG_DIR/ramdump_slpi.elf</dynamicPaths>
      <matchKeys>SENSORHUBCRASH,SLPI_CRASH</matchKeys>
      <intTimeType>0C00</intTimeType>
    </collector>
    <collector>
      <name>WcnssCrashCollector</name>
      <eventID>901002005</eventID>
      <dynamicPaths>$SUB_LOG_DIR/remoteproc-adsp.elf,$SUB_LOG_DIR/qcom-msm-adsprpc-mem.elf,$SUB_LOG_DIR/ramdump_wlan.elf,$SUB_LOG_DIR/ramdump_adsp.elf,$SUB_LOG_DIR/ramdump_md_adsp.elf,$SUB_LOG_DIR/ramdump_venus.elf</dynamicPaths>
      <matchKeys>CONNEXCEPTION,ADSP_CRASH,WCNSS_CRASH,VENUS_CRASH,BT,WLAN_CRASH,WPSS</matchKeys>
      <intTimeType>0H00</intTimeType>
    </collector>
    <collector>
      <name>NpuCrashCollector</name>
      <eventID>901002008</eventID>
      <dynamicPaths>$SUB_LOG_DIR/qcom-msm-adsprpc-mem.elf,$SUB_LOG_DIR/qcom-msm_fastrpc_compute_cb2.elf,$SUB_LOG_DIR/remoteproc-cdsp.elf,$SUB_LOG_DIR/ramdump_md_cdsp.elf,$SUB_LOG_DIR/ramdump_cdsp.elf</dynamicPaths>
      <matchKeys>CDSP_CRASH</matchKeys>
      <intTimeType>0I00</intTimeType>
    </collector>
  </collectors>
</collectorhub>
